Bug 9907 - upsd_configured() не отрабатывает на корректном ups.conf
: upsd_configured() не отрабатывает на корректном ups.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nut-driver)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-23 01:52 by
Modified: 2007-02-08 23:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-23 01:52:49
если в /etc/nut/ups.conf секция
[myups] начинается _не_ сначало строки, то

в /etc/sysconfig/upsd 
egrep -qs '^[^#[:space:]]' "$UPS_CONF" || return 

промахивается, и в результате nut не стартует. хотя для самого 
upsdrvctl пробелы перед [myups] не являются помехой. Надо бы подправить egrep, 
чтоб прбелы перед [myups] не приводили бы к неработоспособности всего nut.
------- Comment #1 From 2006-08-28 12:36:22 -------
*** Bug 9908 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2006-09-12 02:45:30 -------
Changed regexp to
^[[:space:]]*[^#[:space:]]
in 2.0.2-alt3-g3bc5308
------- Comment #3 From 2006-09-18 09:45:16 -------
а где он есть то этот 2.0.2-alt3-g3bc5308 ?
------- Comment #4 From 2006-09-18 10:37:33 -------
Рискну предположить, что это коммит с идентификатором g3bc5308 в
git.altlinux.org:/people/ldv/packages/nut.git

Hint: http://wiki.sisyphus.ru/devel/git
------- Comment #5 From 2007-02-08 23:25:27 -------
2.0.2-alt4 - fixed